Subject: Re: Physical address needed for shipment
From: "T M" <[email-masked]>
To: "Mike" <[email-masked]>
Date: Thu, 21 Apr 2011 07:26:31 -0700 (PDT)

Ryan Marinelli
Brown University
69 Brown Street
Box 2085
Providence, RI  02912
508-280-6906
You can ship to physical address and just be sure to put box 2085
thank you so much,
my sons phone broke so he needs it
Tks Tina Marinelli
5085606906

________________________________
From: Mike <[email-masked]>
To: [email-masked]
Sent: Thu, April 21, 2011 9:50:03 AM
Subject: Physical address needed for shipment

Hello Tina.
I have no problem shipping to another  address.   However, since I ship UPS, I 
can not ship to PO boxes and  will need a physical address.  The only other 
problem would be if for some  reason the package was returned when shipping to a 
unconfirmed address.  If  I had to reship it, you would be responsible for 
additional shipping  charges.  I have only ever had that happen once because the 
person did not  give me the complete address (no apt. #).  Regardless, if you 
can provide  me with a good physical address for Ryan Marinelli at Brown 
University, I will  get the phone sent right out.  Hope to hear from you soon.
Thank you,
Michael Bishop
[email-masked]